MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003173ATutorFile Managerpublic2007-09-05 00:522008-08-21 08:59
ReporterIndieRect 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.5.5 
Target VersionFixed in Version1.6 
Summary0003173: ZIPs not extracted in courses with custom size
DescriptionThe bug:
If an admin has set quota to "Other" for a particular course, any ZIP files uploaded into that course via the File Manager would not be extracted.
No relevant error messages would appear.

Reson:
In tools/filemanager/zip.php, there is a logical error in calculating the remaining space after extraction (variable $total_after at lines 160...165). The if-structure covers only 'unlimited' and 'default' options for course sizes. The subsequent execution therefore has unexpected results.

Solution:
Insert the following after line 164:
---
} else {
   $total_after = get_human_size($my_MaxCourseSize - $course_total - $totalBytes);
---
TagsNo tags attached.
Affects version 1.5.4, SVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002595)
greg (administrator)
2007-12-09 06:07

Committed revision 7123.
Added suggested line

- Issue History
Date Modified Username Field Change
2007-09-05 00:52 IndieRect New Issue
2007-09-05 00:52 IndieRect Affects version => 1.5.4, SVN
2007-12-09 06:07 greg Status new => resolved
2007-12-09 06:07 greg Fixed in Version => 1.6
2007-12-09 06:07 greg Resolution open => fixed
2007-12-09 06:07 greg Assigned To => greg
2007-12-09 06:07 greg Note Added: 0002595
2008-08-21 08:59 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker